KFileListViewItem class Reference (kio Library)

| # kio Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KFileListViewItem Class Reference

An item for the listiew, that has a reference to its corresponding KFileItem. More...

`#include <kfiledetailview.h>`

Inheritance diagram for KFileListViewItem:

[legend]
Collaboration diagram for KFileListViewItem:

[legend]
List of all members.

## Public Member Functions
| KFileListViewItem (QListView *parent, const QString &text, const QPixmap &icon, KFileItem *fi)
| KFileListViewItem (QListView *parent, KFileItem *fi)
| Since: 3.1
| KFileListViewItem (QListView *parent, const QString &text, const QPixmap &icon, KFileItem *fi, QListViewItem *after)
KFileItem * | fileInfo () const
virtual QString | key (int, bool) const
void | setKey (const QString &key)
QRect | rect () const
void | init ()
| Since: 3.1

## Detailed Description

An item for the listiew, that has a reference to its corresponding KFileItem.

Definition at line 37 of file kfiledetailview.h.

## Constructor & Destructor Documentation

KFileListViewItem::KFileListViewItem | ( | QListView * | parent,
|  | KFileItem * | fi
| ) | `[inline]`

| Since: 3.1 Definition at line 50 of file kfiledetailview.h. References init().

## Member Function Documentation

KFileItem* KFileListViewItem::fileInfo | ( |  | ) | const`[inline]`

| Returns: the corresponding KFileItem Definition at line 69 of file kfiledetailview.h. Referenced by KFileDetailView::currentFileItem(), and KFileDetailView::updateView().

void KFileListViewItem::init | ( |  | ) |

| Since: 3.1 Definition at line 508 of file kfiledetailview.cpp. References KFileItem::group(), KGlobal::locale(), KFileItem::permissionsString(), KFileItem::pixmap(), QListViewItem::setPixmap(), QListViewItem::setText(), KFileItem::size(), KIcon::SizeSmall, KFileItem::text(), KFileItem::timeString(), and KFileItem::user(). Referenced by KFileListViewItem().

The documentation for this class was generated from the following files:

- kfiledetailview.h
- kfiledetailview.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:17:40 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001